llvm.org GIT mirror llvm / dde567f
Updating configure script to enable MIPS. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@41568 91177308-0d34-0410-b5e6-96231b3b80d8 Tanya Lattner 12 years ago
1 changed file(s) with 30 addition(s) and 25 deletion(s). Raw diff Collapse all Expand all
23592359 alpha*-*) llvm_cv_target_arch="Alpha" ;;
23602360 ia64-*) llvm_cv_target_arch="IA64" ;;
23612361 arm-*) llvm_cv_target_arch="ARM" ;;
2362 mips-*) llvm_cv_target_arch="Mips" ;;
23622363 *) llvm_cv_target_arch="Unknown" ;;
23632364 esac
23642365 fi
46444645 ;;
46454646 ARM) TARGET_HAS_JIT=0
46464647 ;;
4648 Mips) TARGET_HAS_JIT=0
4649 ;;
46474650 *) TARGET_HAS_JIT=0
46484651 ;;
46494652 esac
47254728 fi
47264729
47274730 case "$enableval" in
4728 all) TARGETS_TO_BUILD="X86 Sparc PowerPC Alpha IA64 ARM" ;;
4731 all) TARGETS_TO_BUILD="X86 Sparc PowerPC Alpha IA64 ARM Mips" ;;
47294732 host-only)
47304733 case "$llvm_cv_target_arch" in
47314734 x86) TARGETS_TO_BUILD="X86" ;;
47354738 Alpha) TARGETS_TO_BUILD="Alpha" ;;
47364739 IA64) TARGETS_TO_BUILD="IA64" ;;
47374740 ARM) TARGETS_TO_BUILD="ARM" ;;
4741 Mips) TARGETS_TO_BUILD="Mips" ;;
47384742 *) { { echo "$as_me:$LINENO: error: Can not set target to build" >&5
47394743 echo "$as_me: error: Can not set target to build" >&2;}
47404744 { (exit 1); exit 1; }; } ;;
47494753 alpha) TARGETS_TO_BUILD="Alpha $TARGETS_TO_BUILD" ;;
47504754 ia64) TARGETS_TO_BUILD="IA64 $TARGETS_TO_BUILD" ;;
47514755 arm) TARGETS_TO_BUILD="ARM $TARGETS_TO_BUILD" ;;
4756 mips) TARGETS_TO_BUILD="Mips $TARGETS_TO_BUILD" ;;
47524757 *) { { echo "$as_me:$LINENO: error: Unrecognized target $a_target" >&5
47534758 echo "$as_me: error: Unrecognized target $a_target" >&2;}
47544759 { (exit 1); exit 1; }; } ;;
1036810373 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1036910374 lt_status=$lt_dlunknown
1037010375 cat > conftest.$ac_ext <
10371 #line 10372 "configure"
10376 #line 10377 "configure"
1037210377 #include "confdefs.h"
1037310378
1037410379 #if HAVE_DLFCN_H
1251212517 ;;
1251312518 *-*-irix6*)
1251412519 # Find out which ABI we are using.
12515 echo '#line 12516 "configure"' > conftest.$ac_ext
12520 echo '#line 12521 "configure"' > conftest.$ac_ext
1251612521 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
1251712522 (eval $ac_compile) 2>&5
1251812523 ac_status=$?
1423014235 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1423114236 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1423214237 -e 's:$: $lt_compiler_flag:'`
14233 (eval echo "\"\$as_me:14234: $lt_compile\"" >&5)
14238 (eval echo "\"\$as_me:14239: $lt_compile\"" >&5)
1423414239 (eval "$lt_compile" 2>conftest.err)
1423514240 ac_status=$?
1423614241 cat conftest.err >&5
14237 echo "$as_me:14238: \$? = $ac_status" >&5
14242 echo "$as_me:14243: \$? = $ac_status" >&5
1423814243 if (exit $ac_status) && test -s "$ac_outfile"; then
1423914244 # The compiler can only warn and ignore the option if not recognized
1424014245 # So say no if there are warnings other than the usual output.
1449814503 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1449914504 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1450014505 -e 's:$: $lt_compiler_flag:'`
14501 (eval echo "\"\$as_me:14502: $lt_compile\"" >&5)
14506 (eval echo "\"\$as_me:14507: $lt_compile\"" >&5)
1450214507 (eval "$lt_compile" 2>conftest.err)
1450314508 ac_status=$?
1450414509 cat conftest.err >&5
14505 echo "$as_me:14506: \$? = $ac_status" >&5
14510 echo "$as_me:14511: \$? = $ac_status" >&5
1450614511 if (exit $ac_status) && test -s "$ac_outfile"; then
1450714512 # The compiler can only warn and ignore the option if not recognized
1450814513 # So say no if there are warnings other than the usual output.
1460214607 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1460314608 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1460414609 -e 's:$: $lt_compiler_flag:'`
14605 (eval echo "\"\$as_me:14606: $lt_compile\"" >&5)
14610 (eval echo "\"\$as_me:14611: $lt_compile\"" >&5)
1460614611 (eval "$lt_compile" 2>out/conftest.err)
1460714612 ac_status=$?
1460814613 cat out/conftest.err >&5
14609 echo "$as_me:14610: \$? = $ac_status" >&5
14614 echo "$as_me:14615: \$? = $ac_status" >&5
1461014615 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1461114616 then
1461214617 # The compiler can only warn and ignore the option if not recognized
1705417059 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1705517060 lt_status=$lt_dlunknown
1705617061 cat > conftest.$ac_ext <
17057 #line 17058 "configure"
17062 #line 17063 "configure"
1705817063 #include "confdefs.h"
1705917064
1706017065 #if HAVE_DLFCN_H
1715417159 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1715517160 lt_status=$lt_dlunknown
1715617161 cat > conftest.$ac_ext <
17157 #line 17158 "configure"
17162 #line 17163 "configure"
1715817163 #include "confdefs.h"
1715917164
1716017165 #if HAVE_DLFCN_H
1952219527 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1952319528 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1952419529 -e 's:$: $lt_compiler_flag:'`
19525 (eval echo "\"\$as_me:19526: $lt_compile\"" >&5)
19530 (eval echo "\"\$as_me:19531: $lt_compile\"" >&5)
1952619531 (eval "$lt_compile" 2>conftest.err)
1952719532 ac_status=$?
1952819533 cat conftest.err >&5
19529 echo "$as_me:19530: \$? = $ac_status" >&5
19534 echo "$as_me:19535: \$? = $ac_status" >&5
1953019535 if (exit $ac_status) && test -s "$ac_outfile"; then
1953119536 # The compiler can only warn and ignore the option if not recognized
1953219537 # So say no if there are warnings other than the usual output.
1962619631 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
1962719632 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
1962819633 -e 's:$: $lt_compiler_flag:'`
19629 (eval echo "\"\$as_me:19630: $lt_compile\"" >&5)
19634 (eval echo "\"\$as_me:19635: $lt_compile\"" >&5)
1963019635 (eval "$lt_compile" 2>out/conftest.err)
1963119636 ac_status=$?
1963219637 cat out/conftest.err >&5
19633 echo "$as_me:19634: \$? = $ac_status" >&5
19638 echo "$as_me:19639: \$? = $ac_status" >&5
1963419639 if (exit $ac_status) && test -s out/conftest2.$ac_objext
1963519640 then
1963619641 # The compiler can only warn and ignore the option if not recognized
2119621201 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2119721202 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2119821203 -e 's:$: $lt_compiler_flag:'`
21199 (eval echo "\"\$as_me:21200: $lt_compile\"" >&5)
21204 (eval echo "\"\$as_me:21205: $lt_compile\"" >&5)
2120021205 (eval "$lt_compile" 2>conftest.err)
2120121206 ac_status=$?
2120221207 cat conftest.err >&5
21203 echo "$as_me:21204: \$? = $ac_status" >&5
21208 echo "$as_me:21209: \$? = $ac_status" >&5
2120421209 if (exit $ac_status) && test -s "$ac_outfile"; then
2120521210 # The compiler can only warn and ignore the option if not recognized
2120621211 # So say no if there are warnings other than the usual output.
2130021305 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2130121306 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2130221307 -e 's:$: $lt_compiler_flag:'`
21303 (eval echo "\"\$as_me:21304: $lt_compile\"" >&5)
21308 (eval echo "\"\$as_me:21309: $lt_compile\"" >&5)
2130421309 (eval "$lt_compile" 2>out/conftest.err)
2130521310 ac_status=$?
2130621311 cat out/conftest.err >&5
21307 echo "$as_me:21308: \$? = $ac_status" >&5
21312 echo "$as_me:21313: \$? = $ac_status" >&5
2130821313 if (exit $ac_status) && test -s out/conftest2.$ac_objext
2130921314 then
2131021315 # The compiler can only warn and ignore the option if not recognized
2353523540 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2353623541 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2353723542 -e 's:$: $lt_compiler_flag:'`
23538 (eval echo "\"\$as_me:23539: $lt_compile\"" >&5)
23543 (eval echo "\"\$as_me:23544: $lt_compile\"" >&5)
2353923544 (eval "$lt_compile" 2>conftest.err)
2354023545 ac_status=$?
2354123546 cat conftest.err >&5
23542 echo "$as_me:23543: \$? = $ac_status" >&5
23547 echo "$as_me:23548: \$? = $ac_status" >&5
2354323548 if (exit $ac_status) && test -s "$ac_outfile"; then
2354423549 # The compiler can only warn and ignore the option if not recognized
2354523550 # So say no if there are warnings other than the usual output.
2380323808 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2380423809 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2380523810 -e 's:$: $lt_compiler_flag:'`
23806 (eval echo "\"\$as_me:23807: $lt_compile\"" >&5)
23811 (eval echo "\"\$as_me:23812: $lt_compile\"" >&5)
2380723812 (eval "$lt_compile" 2>conftest.err)
2380823813 ac_status=$?
2380923814 cat conftest.err >&5
23810 echo "$as_me:23811: \$? = $ac_status" >&5
23815 echo "$as_me:23816: \$? = $ac_status" >&5
2381123816 if (exit $ac_status) && test -s "$ac_outfile"; then
2381223817 # The compiler can only warn and ignore the option if not recognized
2381323818 # So say no if there are warnings other than the usual output.
2390723912 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
2390823913 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
2390923914 -e 's:$: $lt_compiler_flag:'`
23910 (eval echo "\"\$as_me:23911: $lt_compile\"" >&5)
23915 (eval echo "\"\$as_me:23916: $lt_compile\"" >&5)
2391123916 (eval "$lt_compile" 2>out/conftest.err)
2391223917 ac_status=$?
2391323918 cat out/conftest.err >&5
23914 echo "$as_me:23915: \$? = $ac_status" >&5
23919 echo "$as_me:23920: \$? = $ac_status" >&5
2391523920 if (exit $ac_status) && test -s out/conftest2.$ac_objext
2391623921 then
2391723922 # The compiler can only warn and ignore the option if not recognized